org.apache.sysds.parser.dml

## Class DmlParser.TypedArgAssignContext

- java.lang.Object
- - org.antlr.v4.runtime.RuleContext
  - - org.antlr.v4.runtime.ParserRuleContext
    - - org.apache.sysds.parser.dml.DmlParser.TypedArgAssignContext

- All Implemented Interfaces:
    org.antlr.v4.runtime.tree.ParseTree, org.antlr.v4.runtime.tree.RuleNode, org.antlr.v4.runtime.tree.SyntaxTree, org.antlr.v4.runtime.tree.Tree
  Enclosing class:
    DmlParser

      public static class DmlParser.TypedArgAssignContext
      extends org.antlr.v4.runtime.ParserRuleContext

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `org.antlr.v4.runtime.Token` | `paramName`
    `DmlParser.Ml_typeContext` | `paramType`
    `DmlParser.ExpressionContext` | `paramVal`

    - ### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

      `children, exception, start, stop`

    - ### Fields inherited from class org.antlr.v4.runtime.RuleContext

      `EMPTY, invokingState, parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypedArgAssignContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `enterRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
    `void` | `exitRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
    `DmlParser.ExpressionContext` | `expression()`
    `int` | `getRuleIndex()`
    `org.antlr.v4.runtime.tree.TerminalNode` | `ID()`
    `DmlParser.Ml_typeContext` | `ml_type()`

    - ### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

      `addChild, addChild, addChild, addErrorNode, copyFrom, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

    - ### Methods inherited from class org.antlr.v4.runtime.RuleContext

      `accept, depth, getAltNumber, getPayload, getRuleContext, getText, isEmpty, setAltNumber, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### paramType

          public DmlParser.Ml_typeContext paramType

    - #### paramName

          public org.antlr.v4.runtime.Token paramName

    - #### paramVal

          public DmlParser.ExpressionContext paramVal

  - ### Constructor Detail

    - #### TypedArgAssignContext

          public TypedArgAssignContext(org.antlr.v4.runtime.ParserRuleContext parent,
                                       int invokingState)

  - ### Method Detail

    - #### ml_type

          public DmlParser.Ml_typeContext ml_type()

    - #### ID

          public org.antlr.v4.runtime.tree.TerminalNode ID()

    - #### expression

          public DmlParser.ExpressionContext expression()

    - #### getRuleIndex

          public int getRuleIndex()

      Overrides:
        `getRuleIndex` in class `org.antlr.v4.runtime.RuleContext`

    - #### enterRule

          public void enterRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)

      Overrides:
        `enterRule` in class `org.antlr.v4.runtime.ParserRuleContext`

    - #### exitRule

          public void exitRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)

      Overrides:
        `exitRule` in class `org.antlr.v4.runtime.ParserRuleContext`

Copyright © 2020 The Apache Software Foundation. All rights reserved.